package com.tenlionsoft.baselib.core.db.daos;

import com.tenlionsoft.baselib.core.beans.OftenContactBean;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;

/**
 * 作者: adam
 * 日期: 2021/10/28 - 10:49 上午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Dao
public interface OftenContactDao {

    @Insert
    void insertUser(OftenContactBean bean);

    @Query("SELECT * FROM db_often_contact WHERE userId=(:userid)")
    OftenContactBean getOftenContactByUserId(String userid);

    @Delete
    void deleteUser(OftenContactBean bean);
}
